# Goat Simulator 3 1.0.7.1
# BID: 0DE3020411F4232B

unsafeCheck: true

ALL_FPS:
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0x934C2F8, 0]
    value_type: float
    value: ["0.81 * FRAMETIME_TARGET", "0.81 * FRAMETIME_TARGET"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x9371F70, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.VSync
  -
    type: write
    address: [MAIN, 0x8B7C198, 0]
    value_type: uint32
    value: [0, 0]
  -
    type: block
    what: timing
